## org.gnu.gdk
Class PixbufRotation

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.PixbufRotation

public class PixbufRotation
extends org.gnu.glib.Enum

The possible rotations that can be passed to the rotate method of Pixbuf.

Field Summary
`static PixbufRotation` `CLOCKWISE` Rotate by 270 degrees
`static PixbufRotation` `COUNTERCLOCKWISE` Rotate by 90 degrees
`static PixbufRotation` `NONE` No rotation
`static PixbufRotation` `UPSIDEDOWN` Rotate by 180 degrees

Method Summary
`PixbufRotation` `and(PixbufRotation other)`
`static PixbufRotation` `intern(int value)`
`PixbufRotation` `or(PixbufRotation other)`
`boolean` `test(PixbufRotation other)`
`PixbufRotation` `xor(PixbufRotation other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final PixbufRotation NONE

  No rotation

### COUNTERCLOCKWISE

    public static final PixbufRotation COUNTERCLOCKWISE

  Rotate by 90 degrees

### UPSIDEDOWN

    public static final PixbufRotation UPSIDEDOWN

  Rotate by 180 degrees

### CLOCKWISE

    public static final PixbufRotation CLOCKWISE

  Rotate by 270 degrees

Method Detail

### intern

    public static PixbufRotation intern(int value)

### or

    public PixbufRotation or(PixbufRotation other)

### and

    public PixbufRotation and(PixbufRotation other)

### xor

    public PixbufRotation xor(PixbufRotation other)

### test

    public boolean test(PixbufRotation other)